#!/usr/bin/python
# config: UTF-8
from datetime import datetime
import threading
import time
import RPi.GPIO as GPIO

PORT = 23

print "Start Water Circulation"

def init():
    GPIO.setmode(GPIO.BCM)
    GPIO.setup(PORT, GPIO.OUT)
    GPIO.output(PORT,False)

def checkTimer():

    f = open('scheduleWaterCirc.ini')
    lines = f.readlines()
    f.close()
    schedule = []
    for line in lines:
        tmp = (line.rstrip('\r\n')).split(":")
        setting = {}
        setting['HOUR'] = int(tmp[0])
        setting['MIN'] = int(tmp[1])
        setting['ONTIME'] = int(tmp[2])
        schedule.append(setting)

    # current time
    curTime =  "%s" % (datetime.now().strftime('%H%M'))
    # flag to indicate schedule setting is match to current time
    flgRun = False
    sleepSec = 0
    for setting in schedule:
        cmprTime = "%02d%02d" % (setting['HOUR'],setting['MIN']) 
        if curTime == cmprTime:
            print "Scheduled event %s, run %02d min " % (cmprTime, setting['ONTIME'])
            flgRun = True
            sleepSec = setting['ONTIME'] * 60
            
    # if scheudled event is found, PORT for water circuration is set to high.
    if flgRun == True:
        GPIO.output(PORT, True)
        time.sleep(sleepSec)
        GPIO.output(PORT, False)
        
    t=threading.Timer(10,checkTimer)
    t.start()

init()    
t=threading.Thread(target=checkTimer)
t.start()
