<?php
require("lib_gpio.php");
require("lib_i2cCmd.php");

define("GPIO_RUN_STATUS", 21);
define("GPIO_PWM", 1);
define("GPIO_UPPER_RED", 4);
define("GPIO_UPPER_BLUE", 17);

//setting file read
$ini = parse_ini_file('setting.ini');
$luxThresh = $ini['setting_lux_threshold'];

// init
$systemRunStatus = gpio_read(GPIO_RUN_STATUS);
if($systemRunStatus == GPIO_HIGH){
    print("initializing process worked\n");
    gpio_pwm_init();
    gpio_mode(GPIO_UPPER_RED, GPIO_OUT);
    gpio_write(GPIO_UPPER_RED, $ini['setting_upper_red']);
    gpio_mode(GPIO_UPPER_BLUE, GPIO_OUT);
    gpio_write(GPIO_UPPER_BLUE, $ini['setting_upper_blue']);
    //set initializing process close
    gpio_write(GPIO_RUN_STATUS, GPIO_LOW);
}

$currentLux = luxByTsl2561();
if($currentLux > $luxThresh){
    $msg = sprintf("Bright Lux:%d", luxByTsl2561());
    echo $msg;
    gpio_write(GPIO_UPPER_RED, GPIO_LOW);
    gpio_write(GPIO_UPPER_BLUE, GPIO_LOW);
} else {
    $msg = sprintf("Dark Lux:%d", luxByTsl2561());
    echo $msg;
    gpio_write(GPIO_UPPER_RED, $ini['setting_upper_red']);
    gpio_write(GPIO_UPPER_BLUE, $ini['setting_upper_blue']);
}

?>