<?php

define("GPIO_LOW",  0x00);
define("GPIO_HIGH", 0x01);
define("GPIO_OUT", 'out');

define("PWM_CLOCK", 49);
define("PWM_RANGE", 400);

function gpio_mode($gpio, $mode){
	 $command = sprintf("gpio -g mode %d %s", $gpio, $mode);
	 exec($command);
	 return 0;
}

function gpio_write($gpio, $setting){
 	 $command = sprintf("gpio -g write %d %d",$gpio, $setting);
 	 exec($command);
 	 return 0;
}

function gpio_read($gpio){
 	 $command = sprintf("gpio -g read %d",$gpio);
 	 return exec($command);
}

function gpio_toggle($gpio){
 	 $current = gpio_read($gpio);
	 $toggle = 0;
	 if($current){
		$toggle = 0;
	 }
	 else
	 {
		$toggle = 1;
	 }
	 gpio_write($gpio, $toggle);
	 return 0;
}


function gpio_pwm_init(){
     exec("gpio mode 1 pwm");
     exec("gpio pwm-ms");
 	 $command = sprintf("gpio pwmc %d", PWM_CLOCK);
     exec($command);
 	 $command = sprintf("gpio pwmr %d", PWM_RANGE);
     exec($command);
     exec("gpio pwm 1 0");
     return 0;
}


function gpio_pwm_setDuty($duty){
    //$duty = $duty / 100 * PWM_RANGE:
    if($duty < 0 ) $duty = 0;
    if($duty > 100) $duty = 100;
    $duty = (float)$duty;
    $duty = $duty / 100.0;
    $duty = $duty * PWM_RANGE;
    $duty = (int)$duty;
    $command = sprintf("gpio pwm 1 %d", $duty);
    exec($command);
    return 0;
}


?>
